#!/bin/sh

set -e

DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager

if [ "$1" = "abort-install" ] || [ "$1" = "abort-upgrade" ]; then
  if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" ]; then
    mv "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" "$DEFAULT_DISPLAY_MANAGER_FILE"
  fi
fi

if [ "$1" = "purge" ] ; then
  update-rc.d slim remove >/dev/null
fi


#DEBHELPER#

exit 0
